Redmine - Patch #13155

Add login to /users/:id API for current user
2013-02-13 12:27 - Jérome BATAILLE

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: 2.3.0

Description

We are developping a new api authentification with a throwable token.
We need to get the login of the current user when authentificating through the api.

The login field should be returned if the user informations displayed are those of the current user (in our enhancement the one linked
to the throwable token)

Associated revisions

Revision 11437 - 2013-02-18 18:24 - Jean-Philippe Lang
Add login to /users/:id API for current user (#13155).

Patch by Jérome Bataille.

History

#1 - 2013-02-13 14:38 - Daniel Felix

- Tracker changed from Feature to Patch

This seem to be a patch. ;-)

#2 - 2013-02-17 12:15 - Toshi MARUYAMA
- Category set to REST API

#3 - 2013-02-18 18:25 - Jean-Philippe Lang

- Subject changed from Add login in user/current if current user to Add login to /users/:id API for current user
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

Patch committed in r11437 with tests, thanks.

#4 - 2017-03-31 14:18 - Jérome BATAILLE

Hi, you can indicate in the Resolution that's it's Fixed, if you have the time to, thanks a lot.

#5 - 2017-04-30 05:30 - Toshi MARUYAMA
Jéréme BATAILLE wrote:

Hi, you can indicate in the Resolution that's it's Fixed, if you have the time to, thanks a lot.

"Patch" tracker does not have "Resolution” filed.
